Bug 1213292 - Augeas can not parse default /etc/logrotate.d/dnf and /etc/logrotate.d/yum
Summary: Augeas can not parse default /etc/logrotate.d/dnf and /etc/logrotate.d/yum
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: augeas
Version: 22
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Dominic Cleal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-20 09:31 UTC by Lingfei Kong
Modified: 2015-06-14 17:32 UTC (History)
7 users (show)

Fixed In Version: augeas-1.4.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-14 17:32:09 UTC


Attachments (Terms of Use)
/etc/logrotate.d/dnf (429 bytes, text/plain)
2015-04-20 09:32 UTC, Lingfei Kong
no flags Details
/etc/logrotate.d/yum (103 bytes, text/plain)
2015-04-20 09:32 UTC, Lingfei Kong
no flags Details

Description Lingfei Kong 2015-04-20 09:31:30 UTC
Description of problem:
Augeas can not parse default /etc/logrotate.d/dnf and /etc/logrotate.d/yum


Version-Release number of selected component (if applicable):
augeas-1.3.0-1.fc22.x86_64


How reproducible:
100%


Steps to Reproduce:
1. Install the following packages:
dnf-conf-0.6.4-2.fc22.noarch
yum-3.4.3-155.fc22.noarch

2. Run command: echo 'print /augeas//error' | augtool
# augtool print /augeas//error


Actual results:
# augtool print /augeas//error
...
/augeas/files/etc/logrotate.d/dnf/error = "parse_failed"
/augeas/files/etc/logrotate.d/dnf/error/pos = "0"
/augeas/files/etc/logrotate.d/dnf/error/line = "1"
/augeas/files/etc/logrotate.d/dnf/error/char = "0"
/augeas/files/etc/logrotate.d/dnf/error/lens = "/usr/share/augeas/lenses/dist/logrotate.aug:117.13-.56:"
/augeas/files/etc/logrotate.d/dnf/error/message = "Iterated lens matched less than it should"
/augeas/files/etc/logrotate.d/yum/error = "parse_failed"
/augeas/files/etc/logrotate.d/yum/error/pos = "0"
/augeas/files/etc/logrotate.d/yum/error/line = "1"
/augeas/files/etc/logrotate.d/yum/error/char = "0"
/augeas/files/etc/logrotate.d/yum/error/lens = "/usr/share/augeas/lenses/dist/logrotate.aug:117.13-.56:"
/augeas/files/etc/logrotate.d/yum/error/message = "Iterated lens matched less than it should"

...


Expected results:
No errors

Additional info:
The attachment are file /etc/logrotate.d/dnf and /etc/logrotate.d/yum

Comment 1 Lingfei Kong 2015-04-20 09:32:00 UTC
Created attachment 1016271 [details]
/etc/logrotate.d/dnf

Comment 2 Lingfei Kong 2015-04-20 09:32:17 UTC
Created attachment 1016272 [details]
/etc/logrotate.d/yum

Comment 3 Dominic Cleal 2015-04-20 11:55:43 UTC
Fixed in 2c1e74d for 1.4.0.

Comment 5 Fedora Update System 2015-06-02 08:45:57 UTC
augeas-1.4.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/augeas-1.4.0-1.fc22

Comment 6 Fedora Update System 2015-06-04 20:18:38 UTC
Package augeas-1.4.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing augeas-1.4.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9397/augeas-1.4.0-1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-06-14 17:32:09 UTC
augeas-1.4.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.